2008-12-16  Jim Meyering  <meyering@redhat.com>

	NB: ChangeLog files are no longer manually maintained.
	See HACKING for details.

2008-02-07  Jim Meyering  <meyering@redhat.com>

	We *do* need two different version files.
	One for tarball-only, the other to be updated any time we
	get a new value of $(VERSION).
	* Makefile.am (dist-hook): Create .tarball-version in dist tarball.
	* GNUmakefile (_curr-ver): Make git-version-gen use it.
	* .gitignore: Ignore it.

	Fix a typo in description of size suffixes: s/GB/G/.
	* doc/coreutils.texi (od invocation, head invocation, tail invocation):
	Spotted by Bert Wesarg.

	* NEWS [6.9.90]: Mention the added feature that head, od, split and
	tail now accept the standard size suffixes (kB, M, MB, G, GB, and
	so on for T, P, Y, Z, and Y) on arguments to selected options.

2008-02-06  Steven Schubiger  <schubiger@gmail.com>

	mkdir, split: write --verbose output to stdout, not stderr.
	* src/mkdir.c (verbose_output): New function.
	(announce_mkdir): Use it.
	* src/split.c (usage): Update.
	* src/split.c (cwrite): Write to stdout, not stderr.
	* doc/coreutils.texi (split invocation): Remove the mention
	of --verbose output being printed to stderr.
	* tests/mkdir/p-v: Redirect stdout, not stderr.
	* tests/misc/split-a: Likewise.
	* NEWS: Mention this change.
	* TODO: Remove this item.

2008-02-04  Jim Meyering  <meyering@redhat.com>

	* Makefile.maint (announcement): Remove stale comment.

2008-02-02  Jim Meyering  <meyering@redhat.com>

	Clarify a comment.
	* tests/sort/Test.pm: Replace a vague ChangeLog reference with a URL.

2008-01-31  Bob Proulx  <bob@proulx.com>

	Improve wording of date and time man page.
	* man/date.x: Improve compact description of the --date=STRING.
	* man/touch.x: Likewise.
	Suggested by A. Costa.

2008-01-31  Jim Meyering  <meyering@redhat.com>

	Remove alignment constraint from the sha*_read_ctx functions.
	* lib/sha256.c (set_uint32): New function.
	(sha256_read_ctx, sha224_read_ctx): Use it.
	* lib/sha512.c (set_uint64): New function.
	(sha512_read_ctx, sha384_read_ctx): Use it.
	* lib/sha256.h: Remove warning about alignment constraint.
	* lib/sha512.h: Likewise.
	Prompted by similar changes in gnulib's sha1 and md[45] modules.

	Adapt to new version of vc-list-files.
	* tests/check.mk (vc_exe_in_TESTS): Adapt to new constraint
	that vc-list-files be run only from $(top_srcdir).

	Pull vc-list-files from gnulib.
	* bootstrap.conf (gnulib_modules): Add vc-list-files.
	* build-aux/vc-list-files: Remove file.

	Improve the cp/parent-perm test.
	* tests/cp/parent-perm: Also check that perms of existing dest
	dirs are changed to match those of corresponding src dir

2008-01-30  Paul Eggert  <eggert@cs.ucla.edu>

	Don't modify argv in dd due to ',' in arguments.
	* src/dd.c: Include quotearg.h.
	(operand_matches): New function.
	(parse_symbols, operand_is): Use it.
	(parse_symbols): 1st arg is now const pointer.  Don't modify it.
	msgid arg is now just the message, not a format.
	(scanargs): Add some 'const's to check for problems like the above.

2008-01-30  Jim Meyering  <meyering@redhat.com>

	* src/c99-to-c89.diff: Adjust remove.c offsets, again.

	Now that system.h defines is_empty_dir, include "openat.h".
	* src/system.h: Include "openat.h" here, ...
	* src/chcon.c: ... not here.
	* src/chmod.c: Likewise.
	* src/chown-core.c: Likewise.
	* src/remove.c: Likewise.

	* src/c99-to-c89.diff: Adjust remove.c offsets.

	Improve "rmdir --ignore-fail-on-non-empty"
	* src/rmdir.c (remove_parents, main): With --ignore-fail-on-non-empty,
	suppress a diagnostic also for other errno values, which can arise
	with read-only media or when the parent directory has the immutable
	attribute (set via chattr +i).
	(errno_may_be_empty, ignorable_failure): New functions.
	* src/remove.c (is_empty_dir): Move function to ...
	* src/system.h (is_empty_dir): ...here, and make it inline.
	Suggested by Josselin Mouette in <http://bugs.debian.org/363011>
	via Bob Proulx.
	* NEWS: Mention the improvement.

2008-01-29  Paul Eggert  <eggert@cs.ucla.edu>

	Don't modify argv in dd.
	* src/dd.c (operand_is): New function.
	(scanargs): Use it so that we don't need to modify argv, as a nicety.
	Problem reported by Adam Goode in
	<http://lists.gnu.org/archive/html/bug-coreutils/2008-01/msg00264.html>.

2008-01-29  Jim Meyering  <meyering@redhat.com>

	* Makefile.am (BUILT_SOURCES): Ensure that .version exists.
	Reported by Bob Proulx.

2008-01-29  Bob Proulx  <bob@proulx.com>

	Improve the man pages of --date=STRING for 'date' and 'touch'.
	* man/date.x: Add a compact description of the --date=STRING.
	* man/touch.x: Likewise.
	Reported by A. Costa in http://bugs.debian.org/363011

2008-01-29  Michael Stone  <mstone@debian.org>

	Improve the description of when dd outputs its final statistics.
	* doc/coreutils.texi (dd invocation): Say that dd prints stats
	upon normal termination and upon SIGINT.

2008-01-29  Jim Meyering  <meyering@redhat.com>

	Avoid "make distcheck" failure: newly-created man/*.1 files not removed
	* Makefile.am (EXTRA_DIST): Add .version.
	(.version): New rule.
	(dist-hook): Don't create $(distdir)/.version here, now that it's
	being distributed.
	* man/Makefile.am (common_dep): Use ../.version, not ../VERSION.
	(../VERSION): Remove rule.
	* GNUmakefile (dummy): Create .version, not VERSION.
	Add an extra "...:= $(shell..." statement to ensure that
	.version exists even when the preceding code is not run.
	* .gitignore: Remove both .version and VERSION.

	ls: don't segfault on files in /proc with an old libselinux
	* src/ls.c (gobble_file): Work around a bug in libselinux1-2.0.15
	whereby getfilecon returns 0 yet sets the context to NULL.
	Reported by Jan Moringen via Michael Stone in
	http://bugs.debian.org/463043
	* tests/ls/Makefile.am (TESTS): Add proc-selinux-segfault.
	* tests/ls/proc-selinux-segfault: Test for the above fix.
	* NEWS: Mention the fix.

2008-01-26  Jim Meyering  <meyering@redhat.com>

	Work around Darwin9's set-GID-like group ownership inheritance.
	This avoids another spurious Mac OS 10.5.1 (Darwin 9.1) test failure.
	* tests/cp/preserve-gid: Accept a group ID of 0, as well.
	Reported by Elias Pipping.

	Emit "info coreutils 'PROG invocation'" into the man page,
	rather than just "info PROG".  The latter would often fail
	or simply display the man page.
	* man/help2man: Change the template.
	Prompted by http://bugs.debian.org/399684

	chcon: correct description of --no-dereference (-h) option.
	* src/chcon.c (usage): Remove invalid reference to lchown.
	Reported by Göran Uddeborg.

	Ensure that each version string change propagates to man pages.
	* man/Makefile.am (common_dep): Don't depend on configure.ac for
	version changes.  Instead, depend on ../VERSION.
	(../VERSION): New rule.
	* Makefile.am (DISTCLEANFILES): Define.
	* GNUmakefile: Update ./VERSION.
	* .gitignore: List VERSION.
	Reported by Sven Joachim.

	Avoid cp/preserve-gid test failure on Mac OS 10.5.1 (Darwin 9.1)
	* tests/cp/preserve-gid: Set group as well as owner on ".".
	Reported by Elias Pipping.

	Improve a warning about non-portable "mv" usage.
	* doc/coreutils.texi (mv invocation): Adjust the warning: moving a
	dir-symlink-specified-with-a-trailing-slash works in a surprising
	manner only on some systems.  Reported by Tomas Pospisek in
	http://bugs.debian.org/343652.

2008-01-26  Mike Frysinger  <vapier@gentoo.org>

	* src/dircolors.hin (TERM): Add jfbterm.

2008-01-23  Jim Meyering  <meyering@redhat.com>

	Clean up build-related rules.
	* Makefile.cfg (gnulib_dir): Update comment.
	* Makefile.maint (announcement) [cl_date, utc_date]: Don't set
	now-unused variables.

	* TODO: Update the note on getgrouplist.

2008-01-23  Zvi Har'El  <rl@math.technion.ac.il>

	Add a ";", so "make install" works with --enable-install-program=su.
	* src/Makefile.am (install_su): Add a semicolon.  (tiny change)

2008-01-23  Jim Meyering  <meyering@redhat.com>

	Avoid misinterpreting mgetgroups failure in running root-only tests.
	* src/setuidgid.c (main): Don't misinterpret as size_t an error
	return from mgetgroups.  Reported by Theodoros V. Kalamatianos.

	* README: Remove/convert a few stray mentions of CVS.

2008-01-22  Jim Meyering  <meyering@redhat.com>

	Require automake-1.10.1, for its support of dist-lzma.
	* configure.ac (AM_INIT_AUTOMAKE): Require 1.10.1.

	Version 6.10.

	* NEWS: Record release date.

	* README-hacking: Update to reflect existence of automake-1.10.1.

2008-01-18  Jim Meyering  <meyering@redhat.com>

	Update README.
	* README: Remove a note about failing tests on SunOS 4.
	On Mac OS 10.5.1 (Darwin 9.1), you'll need --disable-acl.
	(Running tests as root): Recommend using "check-root", not "check".

2008-01-17  Jim Meyering  <meyering@redhat.com>

	Do not define-away __attribute__ when __STRICT_ANSI__ is set.
	* src/system.h (__attribute__): Remove the __STRICT_ANSI__ disjunct.
	It has been unnecessary since approximately gcc-2.6, and now, leaving
	it would cause gcc -Werror -ansi to fail to compile csplit.c.
	* gl/lib/randread.c (__attribute__): Likewise.

2008-01-16  Jim Meyering  <meyering@redhat.com>

	* NEWS: Mention the configure.ac fix.

	* TODO: Add an introduction.
	Remove a few entries.  Update a few others.

2008-01-13  Jim Meyering  <meyering@redhat.com>

	Remove each output redirection target before writing to it.
	* tests/check.mk (vc_exe_in_TESTS): Remove t1 and t2 _first_,
	in case they exist beforehand and are not writable.
	* build-aux/check.mk (am__check_pre): Likewise, remove $@-t.

2008-01-13  Elias Pipping  <pipping@gentoo.org>

	* configure.ac: Correct a non-portable use of sed.

2008-01-12  Mike Frysinger  <vapier@gentoo.org>

	* src/dircolors.hin (image formats): Add the .svg suffix.

2008-01-12  Jim Meyering  <meyering@redhat.com>

	Use new version of announce-gen.
	* Makefile.maint (announcement): Remove use of the
	--gnulib-snapshot-time-stamp option.
	Use new --gnulib-version option instead.
	(gnulib-version): New variable.

2008-01-11  Jim Meyering  <meyering@redhat.com>

	* Version 6.9.92.

	* tests/tr/Test.pm: Prefer en_US.ISO-8859-1 to en_US.iso88591.
	Suggestions from James Youngman and Pádraig Brady in
	http://thread.gmane.org/gmane.comp.gnu.coreutils.bugs/12218/focus=12227

2008-01-10  Jim Meyering  <meyering@redhat.com>

	* README-hacking: Add Git to the list of required tools.

2008-01-08  Paul Eggert  <eggert@cs.ucla.edu>

	Fix a minor race condition when using cp -p --parents.
	* src/cp.c (make_dir_parents_private): If stat fails on the parent
	directory, do not add it to the list of directories whose modes
	might need fixing later.  Also, do not bother invoking 'stat'
	unless the stat results might be needed later.

2008-01-08  Jim Meyering  <meyering@redhat.com>

	parent-perm: avoid a bizarre test failure.
	* tests/cp/parent-perm: Accommodate the situation in which
	chmod ("dir", 02755) returns 0 yet fails to set the S_ISGID bit.

	Remove uses of now-undefined Makefile variable.
	* src/Makefile.am (dir_LDADD, ls_LDADD, vdir_LDADD): Remove uses
	of no-longer-defined variable, $(LIB_ACL_TRIVIAL).

2008-01-07  Jim Meyering  <meyering@redhat.com>

	cp (but not copy.c): plug a small leak.
	* src/cp.c (do_copy) [--parents]: Free the attribute list.

	Make a racy test failure less likely to happen.
	* tests/misc/tty-eof: Uncomment a debug "warn".
	This change happens to make this test far less likely to fail.
	With that statement commented out, this test would fail about
	20% of the time on my desktop.  Now, it's gone 100 iterations
	in a row with no failure.

	* NEWS: Mention the cp bug fix.

2008-01-07  Jan Blunck  <jblunck@suse.de>

	cp --parents: don't use uninitialized memory when restoring permissions
	* src/cp.c (make_dir_parents_private): Always stat each source
	directory, in case its permissions are required in re_protect,
	when setting permissions of a just-created destination directory.

2008-01-07  Jim Meyering  <meyering@redhat.com>

	cp: add a test for today's bug fix.
	* tests/cp/parent-perm: New script.  Test today's change.
	Based on reproducer from Jan Blunck.
	* tests/cp/Makefile.am (TESTS): Add parent-perm.

2008-01-06  Jim Meyering  <meyering@redhat.com>

	touch: add a test for today's change.
	* tests/touch/now-owned-by-other: New script.  Test today's change.
	* tests/touch/Makefile.am (TESTS): Add now-owned-by-other.
	* tests/Makefile.am (all_t): Add td, a new root-only test.
	(td): New target.
	* NEWS: Mention the improvement.

2008-01-06  Paul Eggert  <eggert@cs.ucla.edu>

	touch: ignore "-d now" option, when appropriate
	* src/touch.c (main): Treat "-d now" as if it were absent, if
	neither -a nor -m is specified.  Problem reported by Dan Jacobson in:
	http://lists.gnu.org/archive/html/bug-coreutils/2008-01/msg00010.html

2008-01-05  Jim Meyering  <meyering@redhat.com>

	Avoid tr case-conversion failure in some locales.
	* src/tr.c (skip_construct): New function.
	(main): When processing a pair of case-converting classes, don't
	iterate through the elements of each [:upper:] or [:lower:] class.
	Reported by Gerald Pfeifer in
	<http://thread.gmane.org/gmane.comp.gnu.coreutils.bugs/12218>.
	* tests/tr/Test.pm [tolower-F]: New test for the above fix.
	[upcase-xtra, dncase-xtra]: New tests, for a related code path.
	* NEWS: Mention the tr bug fix.

2008-01-02  Jim Meyering  <jim@meyering.net>

	* .gitignore: Ignore lzma-compressed files, too.

	Update copyright date.
	* tests/sample-test: Likewise.
	* doc/coreutils.texi: Likewise.


	-----

	Copyright (C) 2008-2010 Free Software Foundation, Inc.

	Copying and distribution of this file, with or without
	modification, are permitted provided the copyright notice
	and this notice are preserved.
